import { type Extension } from "@codemirror/state";
export * from "./lsp/conversion.mts";
export type ServerResponseCallback = (jsonRpc: string) => void;
export interface LspConfigData {
    emitServerCommand: ServerResponseCallback;
}
export interface LspConfig {
    autocompletion?: boolean;
    onClientCommand: (jsonRpc: string) => void;
    getData: (data: LspConfigData) => void;
}
export declare function createLsp(config: LspConfig): Extension;
//# sourceMappingURL=index.d.mts.map